package speiger.src.coreengine.rendering.utils.states;

import org.lwjgl.opengl.GL32;

public class GLProvoking extends GLState
{
	public GLProvoking()
	{
		super(-1, false);
	}
	
	@Override
	protected void setValue(boolean value) {
		GL32.glProvokingVertex(value ? GL32.GL_FIRST_VERTEX_CONVENTION : GL32.GL_LAST_VERTEX_CONVENTION);
	}
}